Đến nội dung


Hình ảnh

Vẽ Nhiều Mũi Tên Chung Gốc


  • Please log in to reply
17 replies to this topic

#1 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 September 2016 - 01:52 PM

chào mọi người, mình cần vẽ nhiều mũi tên để chỉ thép có chung một gốc. Có cách nào vẽ nhanh được không, thạnk

 


  • 0

#2 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 26 September 2016 - 08:04 AM

Lisp của bạn đây. Gõ lệnh "Lee" nhé.

 

(defun c:lee ()
(command "undo" "mark")
(setq a (getpoint "Chon diem Cuoi Leader\n"))
(setq b (getpoint a "Chon diem Dau ve Leader\n"))
(command "Leader" b a "" "" "n")
(while 
(Setq c (getpoint a "\nChon diem tiep theo?"))
(command "leader" c a "" "" "n")
)
(command "undo" "end")
(princ))
 
 

  • 1

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#3 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 September 2016 - 03:31 PM

 

Lisp của bạn đây. Gõ lệnh "Lee" nhé.

 

(defun c:lee ()
(command "undo" "mark")
(setq a (getpoint "Chon diem Cuoi Leader\n"))
(setq b (getpoint a "Chon diem Dau ve Leader\n"))
(command "Leader" b a "" "" "n")
(while 
(Setq c (getpoint a "\nChon diem tiep theo?"))
(command "leader" c a "" "" "n")
)
(command "undo" "end")
(princ))

 

cảm ơn bạn nhiều


  • 0

#4 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 September 2016 - 03:45 PM

tiện cho mình hoi có cách nào làm ngược quá trình ma  không vậy, tức là mình chọn đối tượng cần ma trước rồi mới chọn đối tượng có thuộc tính muốn chuyển


  • 0

#5 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 26 September 2016 - 05:13 PM

tiện cho mình hoi có cách nào làm ngược quá trình ma  không vậy, tức là mình chọn đối tượng cần ma trước rồi mới chọn đối tượng có thuộc tính muốn chuyển

 

Dùng mẹo 1 chút là được. Sử dụng tham số "P" để chọn lại đối tượng cần chọn.  :)  :)  :)

 

B1: Chọn các đối tượng cần "MA", chọn xong rồi nhấn phím ESC.

B2. Gõ lệnh "MA". chọn đối tượng có thuộc tính. Nhấp phím "P" để chọn lại các đối tượng cần chuyển.


  • 1

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#6 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 26 September 2016 - 05:21 PM

tiện cho mình hoi có cách nào làm ngược quá trình ma  không vậy, tức là mình chọn đối tượng cần ma trước rồi mới chọn đối tượng có thuộc tính muốn chuyển

Ko thì sử dụng đoạn mã  lisp sau. Lệnh "MAA" , bạn có thể thay đổi theo ý mình tên lệnh.

 

(defun c:maa ()
(setvar "cmdecho" 0)
 
 
  (setq a (ssget))
  (setq b (ssget))
  (command ".matchprop" b a "")
  (princ)
  )

  • 1

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#7 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 September 2016 - 05:50 PM

 

Ko thì sử dụng đoạn mã  lisp sau. Lệnh "MAA" , bạn có thể thay đổi theo ý mình tên lệnh.

 

(defun c:maa ()
(setvar "cmdecho" 0)
 
 
  (setq a (ssget))
  (setq b (ssget))
  (command ".matchprop" b a "")
 
  (princ)
  )
thank, có mấy lisp của bạn làm việc được nhanh hơn nhiều. Chắc cũng phải tìm hiểu thêm về lập trình lisp mà dùng khi cần trong công việc thôi

  • 0

#8 txquychk51

txquychk51

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 26 September 2016 - 08:42 PM

http://www.cadviet.c...eader/?p=403582của bạn đây, mình đang dùng, và cũng hiệu quả


  • 1

#9 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 September 2016 - 03:28 PM

 

Lisp của bạn đây. Gõ lệnh "Lee" nhé.

 

(defun c:lee ()
(command "undo" "mark")
(setq a (getpoint "Chon diem Cuoi Leader\n"))
(setq b (getpoint a "Chon diem Dau ve Leader\n"))
(command "Leader" b a "" "" "n")
(while 
(Setq c (getpoint a "\nChon diem tiep theo?"))
(command "leader" c a "" "" "n")
)
(command "undo" "end")
(princ))

 

giúp mình cái sao lúc dùng lisp này, một số bản vẽ nếu mình cắt thép bằng lệnh extrim thì toàn bộ mũi tên chỉ vào thép bị cắt bị lệch hết


  • 0

#10 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 29 September 2016 - 03:43 PM

giúp mình cái sao lúc dùng lisp này, một số bản vẽ nếu mình cắt thép bằng lệnh extrim thì toàn bộ mũi tên chỉ vào thép bị cắt bị lệch hết

 

Bạn đưa bản vẽ hoặc hình ảnh bạn bị lỗi lên giúp mình. Chứ đi xem bói thì ko ra bệnh được đâu. :)


  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#11 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 29 September 2016 - 04:13 PM

Hình như nhu cầu của chủ thớt là đánh số hiệu thép, nếu vậy sao không dùng MLEADER nhỉ?

=>


  • 0

#12 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 September 2016 - 04:33 PM

Bạn đưa bản vẽ hoặc hình ảnh bạn bị lỗi lên giúp mình. Chứ đi xem bói thì ko ra bệnh được đâu. :)

nó bị lỗi như vậy, chỉ những mũi tên chỉ vào thép sau khi extrim mới bị nhảy thôi còn cái nào có thép ko bị extrim thì vẫn bình thường


  • 0

#13 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 September 2016 - 04:36 PM

Hình như nhu cầu của chủ thớt là đánh số hiệu thép, nếu vậy sao không dùng MLEADER nhỉ?

=>

bản vẽ của họ dùng sẵn loại mũi tên le bình thường chứ ko phải loại mld, mà mình ko được thay đổi


  • 0

#14 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 September 2016 - 04:40 PM

Bạn đưa bản vẽ hoặc hình ảnh bạn bị lỗi lên giúp mình. Chứ đi xem bói thì ko ra bệnh được đâu. :)

https://drive.google...iew?usp=sharing


  • 0

#15 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 30 September 2016 - 08:21 AM

 

Do lỗi bắt điểm trong cad nhé.

Muốn khắc phục, bạn chỉ cần vào OSNAP, bật chế độ bắt điểm "NEAREST" lên là ổn.


  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#16 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2016 - 02:55 PM

Do lỗi bắt điểm trong cad nhé.

Muốn khắc phục, bạn chỉ cần vào OSNAP, bật chế độ bắt điểm "NEAREST" lên là ổn.

mình có bật chế bắt điểm "NEAREST" trước khi vẽ rồi , lúc đầu mình vẽ các mũi tên chỉ thếp thẳng hàng theo phương ngang, nhưng sau khi dùng extrim cắt thép nó mới bị nhảy như vậy. Nó hơi giống lối bị nhảy dim khi dung lisp cắt, dóng dim. nếu mình vẽ xong chọn toàn bộ mũi tên vừa vẽ xong nhập lệnh DDA rồi mới dùng extrim để cắt thì không còn bị nhảy mũi tên nữa


  • 0

#17 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 30 September 2016 - 04:24 PM

mình có bật chế bắt điểm "NEAREST" trước khi vẽ rồi , lúc đầu mình vẽ các mũi tên chỉ thếp thẳng hàng theo phương ngang, nhưng sau khi dùng extrim cắt thép nó mới bị nhảy như vậy. Nó hơi giống lối bị nhảy dim khi dung lisp cắt, dóng dim. nếu mình vẽ xong chọn toàn bộ mũi tên vừa vẽ xong nhập lệnh DDA rồi mới dùng extrim để cắt thì không còn bị nhảy mũi tên nữa

 

:D  :D  :D  Bác có tìm hiểu được lệnh "DDA" rồi , thế mà ko tìm sâu hơn ít nữa lệnh "DIMASSOC" nữa có phải tốt ko . 

 

B1      : Gõ "DIMASSOC", nhập giá trị 1.

B2:     : Ctrl+A để chọn toàn bộ bản vẽ. Gõ "DDA" để khắc phục lỗi.

 

----> Giờ bác thử " Tờ rim" các kiểu lại xem , Cad  ta chạy rầm rầm.


  • 1

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#18 khimacho114

khimacho114

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2016 - 08:07 PM

:D  :D  :D  Bác có tìm hiểu được lệnh "DDA" rồi , thế mà ko tìm sâu hơn ít nữa lệnh "DIMASSOC" nữa có phải tốt ko . 

 

B1      : Gõ "DIMASSOC", nhập giá trị 1.

B2:     : Ctrl+A để chọn toàn bộ bản vẽ. Gõ "DDA" để khắc phục lỗi.

 

----> Giờ bác thử " Tờ rim" các kiểu lại xem , Cad  ta chạy rầm rầm.

ok cảm ơn bạn nhiều


  • 0